/***************************************************************/
//
//
//		DirectX	[fade.h]
//
//												Author	kazuki tanaka
//												Date	2016 07/08
/*---------------------------------------------------------------
■Update : 2016/07/09
			フェードインフェードアウトの処理の完成

/*-------------------------------------------------------------*/
#ifndef _FADE_H_

#define _FADE_H_

#define NUM_VERTEX (4)						//頂点数
#define NUM_FADE (2)						//ポリゴン数

// フェードの種類
typedef enum{

	FADE_NONE = 0,
	FADE_IN,
	FADE_OUT,
	FADE_MAX

}FADE;

//プロトタイプ宣言
void InitFade( void );						//フェードの初期化
void UninitFade( void );					//フェードの終了処理
void UpdateFade( void );					//フェードの更新処理
void DrawFade( void );						//フェードの描画
void SetFade( FADE fade, SCENE sceneNext );	//フェードの状態設定
FADE GetFade( void );						//フェードの状態取得

#endif	// _FADE_H_
